// This is -*- C++ -*-
// $Id: Exception.h,v 1.3 1998/10/28 13:35:17 alstrup Exp $

/* 
 * Exception.h
 *
 * Copyright (C) 1998 Asger Alstrup Nielsen
 *
 * Developed by Asger Alstrup Nielsen <alstrup@diku.dk>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA.
 */

#ifndef _INC_EXCEPTION_H
#define _INC_EXCEPTION_H

#include <string>

using namespace std;

// Base class for exceptions
class Exception {
public:
  Exception(string const & s) : cause(s) 
    { }
  virtual ~Exception()
    { }
  virtual string const & what() const {
    return cause;
  }
private:
  string cause;
};

#endif
